<?php
namespace Common\Model;
use Common\Model\BaseModel;

class UserModel extends BaseModel{

    // 自动验证
    protected $_validate=array(
    
	//注册新增时验证
        array('yzm','require','验证码必填',0,'regex',1),
        array('username','require','登陆帐号必填',0,'regex',1),
        array('pwd','require','登陆密码必填',0,'regex',1),
	array('pwd01','require','请重复输入登陆密码',0,'regex',1),
	array('pwd01','pwd','二次密码不一致',0,'confirm',1),
	array('userid', '', '该用户名已被注册！', 0, 'unique',1), 
	array('phone', '', '该手机号码已被占用', 0, 'unique', 1), 
	array('phone', '/^1[34578]\d{9}$/', '手机号码格式不正确', 0,'regex',1),
	
	//修改会员资料验证
	array('userid', '', '该用户名已被注册！', 0, 'unique',2), 
	array('phone', '', '手机号已存在！', 0, 'unique',2), 
	array('email', '', '邮箱地址已存在！', 2, 'unique',2), 
	array('pwd','require','登陆密码必填',2,'regex',2),
	array('pwd01','pwd','二次密码不一致',2,'confirm',2),
        );

    // 自动完成
    protected $_auto=array(
      
     
         
	 
     );
      

    // 添加数据
    public function addData($add_data){
        if($data=$this->create($add_data)){
            $id=$this->add($data);
            return $id;
        }else{
            return false;
        }
    }

    /**
     * 获取token值
     * @param  integer  $uid  用户id
     * @param  integer $type  类型
     * @return string         token值
     */
    public function getToken($uid,$type){
        $map=array(
            'uid'=>$uid,
            'type'=>$type
            );
        $token=$this->where($map)->getField('access_token');
        return $token;
    }

}